This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 549492 - Multiple different specifications for /var/vdsm(/.*)?
Multiple different specifications for /var/vdsm(/.*)?
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
http://rhts.redhat.com/cgi-bin/rhts/t...
: Regression
Depends On: 512301
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 15:21 EST by Nate Straz
Modified: 2012-10-15 10:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 512301
Environment:
Last Closed: 2010-03-30 03:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2009-12-21 15:21:50 EST
+++ This bug was initially created as a clone of Bug #512301 +++

Description of problem:
It seems that selinux-policy allows /var/vdsm(/.*)? files to have two different SELinux contexts. I believe that one of the contexts should be removed.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-267.el5
selinux-policy-2.4.6-267.el5

How reproducible:
always

Steps to Reproduce:
1. yum -y install <package>
2. look at the end of /var/log/messages
# semanage fcontext -l | grep vdsm
/var/vdsm(/.*)?                                    all files          system_u:object_r:qemu_var_run_t:s0 
/var/vdsm(/.*)?                                    all files          system_u:object_r:virt_var_lib_t:s0 

  
Actual results: 
Jul 17 03:16:21 hp-rx1620-01 : /etc/selinux/targeted/contexts/files/file_contexts: Multiple different specifications for /var/vdsm(/.*)?  (system_u:object_r:virt_var_lib_t:s0 and system_u:object_r:qemu_var_run_t:s0). 
Jul 17 03:16:21 hp-rx1620-01 : /etc/selinux/targeted/contexts/files/file_contexts: Multiple different specifications for /var/vdsm(/.*)?  (system_u:object_r:virt_var_lib_t:s0 and system_u:object_r:qemu_var_run_t:s0). 
Jul 17 03:16:44 hp-rx1620-01 yum: Installed: selinux-policy-devel-2.4.6-252.el5.noarch

Expected results:
Jul 17 03:16:44 hp-rx1620-01 yum: Installed: selinux-policy-devel-2.4.6-252.el5.noarch

Additional info:
reproducible on all architectures
Comment 1 Miroslav Grepl 2010-01-05 12:27:34 EST
Fixed in selinux-policy-2.4.6-268.el5
Comment 5 errata-xmlrpc 2010-03-30 03:49:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0182.html

Note You need to log in before you can comment on or make changes to this bug.